Bug 6963 - Xlib14/vcnlist.{2-4} tests can fail on 64-bit architecture
Summary: Xlib14/vcnlist.{2-4} tests can fail on 64-bit architecture
Status: CLOSED FIXED
Alias: None
Product: Xtests
Classification: Unclassified
Component: XTS (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Stuart Anderson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-18 21:49 UTC by Jiri Dluhos
Modified: 2006-06-15 09:45 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Jiri Dluhos 2006-05-18 21:49:20 UTC
These tests contains two code flaws that may (and unfortunately do) cause
problems on 64-bit processors:

static int endlist = 0;  // should be explicitly NULL as 0 is a 32-bit integer

if(il->type == ICV_LONG ||
...                    
                                        val = (int*)il->val;
                                        val = (int*)*val;

// conversion from long to int loses bits on 64-bit processors

The same error also seems to be present in the Xlib14/sicvals/Test.{1-3} tests.

Found through LSB testing on a PowerPC 64 machine.
Comment 1 Geoff Clare 2006-06-09 02:36:48 UTC
Fixed this and several other portability issues in vcnlist.m, and also similar
problems in sicvals.m


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.